#!/bin/sh

set -e

# Clean up the 'old style' udev rules if they are found.
# Being conffiles, they are not removed on upgrade, even if they don't exist
# in the new package anymore.  If they are not removed, new udev gets upset.
OLD_BOGUS_RULES=/etc/udev/rules.d/10-wacom.rules
OLD_BOGUS_HOTPLUG=/etc/hotplug.d/input/wacom.hotplug

if echo "08000ec2b722c3bd0259fee26efa9c2b  /etc/udev/rules.d/10-wacom.rules" \
   | md5sum -c --status > /dev/null 2>&1;
then
    rm -f $OLD_BOGUS_RULES
elif [ -e $OLD_BOGUS_RULES ]; then
    echo "WARNING: $OLD_BOGUS_RULES is obsolete"
    echo "         but has been locally modified."
    echo "         You should move any changes you wish to keep to the file:"
    echo "         /etc/udev/xserver-xorg-input-wacom.rules, then remove it."
fi

if echo "e8ae0d6cf8a777339ebad5b6196ca769  /etc/hotplug.d/input/wacom.hotplug" \
   | md5sum -c --status > /dev/null 2>&1;
then
    rm -f $OLD_BOGUS_HOTPLUG
    ( cd /etc && rmdir -p --ignore-fail-on-non-empty hotplug.d/input )
elif [ -e $OLD_BOGUS_HOTPLUG ]; then
    echo "WARNING: $OLD_BOGUS_HOTPLUG is obsolete"
    echo "         but has been locally modified.  You should remove this file now."
fi


# Automatically added by dh_makeshlibs
if [ "$1" = "configure" ]; then
	ldconfig
fi
# End automatically added section


exit 0


